#### D.7.3.8 LinearActionQ

Procedure from library `rinvar.lib` (see rinvar_lib).

Usage:
  LinearActionQ(action,nrs); ideal action, int nrs

Purpose:
  check whether the action defined by 'action' is linear w.r.t. the variables var(nrs + 1...nvars(basering)).

Return:
  0 action not linear
  1 action is linear

Example:

    LIB "rinvar.lib";
    ring R   = 0,(s(1..5), t(1..3)),dp;
    ideal G =  s(3)-s(4), s(2)-s(5), s(4)*s(5), s(1)^2*s(4)+s(1)^2*s(5)-1,
    s(1)^2*s(5)^2-s(5), s(4)^4-s(5)^4+s(1)^2, s(1)^4+s(4)^3-s(5)^3,
    s(5)^5-s(1)^2*s(5);
    ideal Gaction = -s(4)*t(1)+s(5)*t(1),
    -s(4)^2*t(2)+2*s(4)^2*t(3)^2+s(5)^2*t(2),
    s(4)*t(3)+s(5)*t(3);
    LinearActionQ(Gaction, 5);
    ==> 0
    LinearActionQ(Gaction, 8);
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.